forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thorsten Scherler <thors...@apache.org>
Subject Re: Updating cocoon (was Re: [jira] Commented: (FOR-1083) switch to Cocoon 2.1.x)
Date Wed, 20 Aug 2008 17:49:11 GMT
On Thu, 2008-08-21 at 01:01 +1000, David Crossley wrote:
> Thorsten Scherler wrote:
> > David Crossley wrote:
> > > 
> > > I tried before going out to dinner ... Hooray it works.
> > > http://localhost:8888/ ... looks correct. Haven't yet tried plugins.
> > 
> > Thanks for trying.
> 
> As you can imagine, i was so happy when it presented.
> I hope that others are so excited and will help. ;-)

Yeah, we would need some testing, but as soon we have done some basic
testing we should directly release.

> 
> > > However i don't have time to commit.
> > > 
> > > But i see that you have now committed jars and stuff in r687295.
> > > This adds many more jars than i have.
> > 
> > If you can reduce them perfect.
> 
> Hmmm, i would rather know why you added so many.
> 
> I can understand those in "endorsed" but why the rest?

Well I updated the dependencies as well:

lib/core/commons-lang-2.4.jar -> was 2.1
lib/core/excalibur-sourceresolve-2.2.3.jar -> was 2.1.jar
lib/core/commons-collections-3.2.jar -> was 3.1

The rest I just removed after testing whether they are optional.

> 
...
> 
> > > I did not need to do anything with that project symbols ent file.
> > > Mine just works by doing:
> > > cd new-directory
> > > forrest seed
> > > forrest run
> > 
> > Hmm, I always get error because of the ent files (I tried as well with a
> > new seed).
> 
> I recall you mentioned this issue a while ago.
> I reckon that it is separate to our main stuff.
> Works for me.
> 

Hmm, you have not tried the branch, or? If  you do you will see the
problem, but I reckon you will know right away how to fix it.

>          -- oOo ---
> 
> I see that you have started describing other stuff
> against FOR-955 - fine. I will do some cross-references.

Actually the resolver issue may be caused by updating
excalibur-sourceresolve-2.2.3.jar but that needs fixing after all if we
want to be able to constantly update cocoon.

> 
> Now that Cocoon-2.1 is basically working for us, do you
> think that we should have separate Jira issues for skins mode 
> and dispatcher mode, or lump them all together?

Not sure, I need to do some more testing, but if you think we should split them that is fine
with me either.

Cheers mate for the feedback.

salu2
-- 
Thorsten Scherler                                 thorsten.at.apache.org
Open Source Java                      consulting, training and solutions


Mime
View raw message